Bug 1385686 (CVE-2016-8680) - CVE-2016-8680 libdwarf: Out of bounds heap read in _dwarf_get_abbrev_for_code
Summary: CVE-2016-8680 libdwarf: Out of bounds heap read in _dwarf_get_abbrev_for_code
Status: CLOSED WONTFIX
Alias: CVE-2016-8680
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161004,repor...
Keywords: Security
Depends On: 1385693 1385692
Blocks: 1385691
TreeView+ depends on / blocked
 
Reported: 2016-10-17 13:47 UTC by Adam Mariš
Modified: 2019-06-08 21:31 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-14 08:04:30 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-10-17 13:47:06 UTC
An out of bounds heap read vulnerability was found in _dwarf_get_abbrev_for_code triggered by invoking dwarfdump command on crafted file.

Upstream patch:

https://sourceforge.net/p/libdwarf/code/ci/268c1f18d1d28612af3b72d7c670076b1b88e51c/tree/libdwarf/dwarf_util.c?diff=0b28b923c3bd9827d1d904feed2abadde4fa5de2

CVE assignment:

http://seclists.org/oss-sec/2016/q4/145

Comment 1 Adam Mariš 2016-10-17 14:00:17 UTC
Created libdwarf tracking bugs for this issue:

Affects: fedora-all [bug 1385692]
Affects: epel-6 [bug 1385693]


Note You need to log in before you can comment on or make changes to this bug.